Bug Issue: 3.5 compiled file doesn't execute - linux - illegal instruction


Pages: 1

yoplalala

  • Subscriber - Stencyl Studio
  • *
October 22, 2018, 11:58:40 am
On an older computer the file doesn't work anywore  ( it works when compiled in 3.4)
it says illegal instruction when i trying running it
when i run it in gdb it says
SIGILL,
0x....  in _pixman_implementation_create_sse2 () from ./lime.dll

is there a way to compile it so that it is compatible with "old" computers" , some option somewhere ?
(it's an intel core 2 duo CPU  T7250)


yoplalala

  • Subscriber - Stencyl Studio
  • *
October 22, 2018, 03:44:20 pm
Oh maybe it will be solved with the last lime
https://community.openfl.org/t/lime-7-1-1-released-10-02/11055
.Fixed a regression in older desktop CPU support


Justin

  • Master Stencyler
  • *
November 11, 2018, 06:37:55 am
If so, try testing with the latest build.
  • Status changed from New to Need Info


yoplalala

  • Subscriber - Stencyl Studio
  • *
December 02, 2018, 06:11:19 am
In fact it's till isn't working . Here is a thread about it  https://community.openfl.org/t/old-cpu-regression/11180/14


Pages: 1

Details

  • Reported
    October 22, 2018, 11:58:40 am
  • Updated
    December 02, 2018, 06:11:19 am

  • View Status
    Public
  • Type
    Bug
  • Status
    Need Info
  • Priority
    Normal
  • Version
    Stencyl 3.5
  • Fixed in
    (none)
  • Assigned to
    (none)
  • Category
    Compiling/Testing Games

Tags